Skip to main content

Show Merchant

GET 

/v1/merchants/:merchantId

Get a specific merchant

Request​

Path Parameters

    merchantId uuidrequired

Responses​

Successful response

Schema

    id uuid

    Merchant ID. Used only with Platform API.

    entity_id uuid

    Entity ID (Merchant Account). This ID is used with all other APIs.

    type MerchantTypes (string)

    Possible values: [freelancer, establishment, company, foreign_company, government, charity]

    Merchant type determine the goverment category for the onboarded merchant and also affects the required KYC documents.

    status string

    Possible values: [pending, missing_docs, under_review, semi_active, active, hold, rejected, disabled]

    Merchant current status.

    The status missing_docs indicates that there are required changes that must be done for the merchant which can be found in reasons. After fixing the issues, the merchant must be submitted again for review.

    name string

    Merchant name

    website uri
    email email
    created_at date-time
    updated_at date-time
    statement_descriptor string

    Merchant name that will appear on the cardholder statement.

    owners_count integer
    signatory string
    signatory_count integernullable
    documents_complete boolean

    Indicate if all required documents has been uploaded.

    signature

    object

    status string

    Possible values: [unsigned, initiated, signed]

    url uri

    api_keys

    object

    Entity's API keys.

    test

    object

    publishable_key string

    Account publishable API key.

    secret_key string

    Account secret API key.

    This key will only be returned once during merchant created. You must this key securely within your infrastructure.

    There no way to view this key again, it must be regenerated using the Regenerate Key endpoint.

    live

    object

    publishable_key string

    Account publishable API key.

    secret_key string

    Account secret API key.

    This key will only be returned once during merchant created. You must this key securely within your infrastructure.

    There no way to view this key again, it must be regenerated using the Regenerate Key endpoint.

    fees

    object[]

  • Array [

  • name string

    Fee type name

    rate string

    Variable charge rate

    fixed string

    Fixed charge fee

  • ]

  • enabled_schemes string[]

    Possible values: [mada, visa, master]

    Enabled schemes for this merchants.

    payment_methods string[]

    Possible values: [creditcard, applepay, samsungpay, googlepay, stcpay]

    Enabled payment methods for this merchant.

    required_documents

    object[]

  • Array [

  • type DocumentType (string)

    Possible values: [activity_license, bank_iban_certificate, commercial_registration, company_address, freelance_certificate, investment_license, official_letter, owner_address, owner_id, power_of_attorney, signatory_address, signatory_id, vat_certificate, memorandum_of_association, other]

    info

    object

    oneOf

    Activity License. Needed when the activity in CR requires one.

    number string

    Possible values: <= 255 characters

    Activity license number.

    requires_upload boolean

    Indicate if the document type requires a file to be attached.

    required_count integer

    The minimum number of required documents of the same type. E.g. when specifying 5 owners, then 5 owner IDs must be added using the Upload Document endpoint.

  • ]

  • comment string

    Comment left by the onboarding team related to the merchant status.

    reasons string[]

    List of reasons on why the merchant was rejected or changes were requested (missing_docs).

    documents

    object[]

  • Array [

  • id uuid
    type DocumentType (string)

    Possible values: [activity_license, bank_iban_certificate, commercial_registration, company_address, freelance_certificate, investment_license, official_letter, owner_address, owner_id, power_of_attorney, signatory_address, signatory_id, vat_certificate, memorandum_of_association, other]

    info

    object

    oneOf

    Activity License. Needed when the activity in CR requires one.

    number string

    Possible values: <= 255 characters

    Activity license number.

    file_uploaded boolean
  • ]

Loading...